Package ru.bitel.bgbilling.modules.voice.common.service

# Interface VoiceDeviceService

All Superinterfaces:
  `DeviceService<VoiceDevice,​VoiceDeviceType>`

    public interface VoiceDeviceService
    extends DeviceService<VoiceDevice,​VoiceDeviceType>

Сервис для работы с устройствами модуля Voice. Позволяет добавлять, изменять удалять устройства, получать список аккаунтов и сервисов, привязанных к конкретному устройству.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `finishSessions​(int deviceId)` |
  `java.lang.String` | `getMediationIface()` | Получение полного имени интерфейса, который должен быть реализован силами динамического кода для изменения логики обработки логов.
  `java.util.List<VoiceDevice>` | `voiceDeviceRadiusList()` |
  `java.util.List<VoiceDevice>` | `voiceDeviceSourceList()` | Получение списка устройств - источников

  ### Methods inherited from interface ru.bitel.oss.systems.inventory.resource.common.service.DeviceService

  `deviceConfigPreview, deviceDelete, deviceGet, deviceGroupDelete, deviceGroupGet, deviceGroupRoot, deviceGroupUpdate, deviceList, deviceManagerMethodList, deviceMove, deviceRoot, deviceTypeDelete, deviceTypeGet, deviceTypeList, deviceTypeUpdate, deviceUpdate`

- ## Method Details

  - ### voiceDeviceSourceList

    java.util.List<VoiceDevice> voiceDeviceSourceList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение списка устройств - источников
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceDeviceRadiusList

    java.util.List<VoiceDevice> voiceDeviceRadiusList() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### finishSessions

    void finishSessions​(int deviceId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getMediationIface

    java.lang.String getMediationIface() throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение полного имени интерфейса, который должен быть реализован силами динамического кода для изменения логики обработки логов.
    Returns:
      полное имя интерфейса
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`